Bug 632537 - CVE-2009-3721 CVE-2009-3887 ytnef: TNEF attachment decoder input sanitization errors (oCERT-2009-013) [Fedora all] [NEEDINFO]
Summary: CVE-2009-3721 CVE-2009-3887 ytnef: TNEF attachment decoder input sanitization...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ytnef
Version: 21
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: http://fedoraproject.org/wiki/Securit...
Whiteboard: fst_owner=Sparks, fst_ping=3
Depends On:
Blocks: CVE-2009-3721, CVE-2009-3887
TreeView+ depends on / blocked
 
Reported: 2010-09-10 09:52 UTC by Tomas Hoger
Modified: 2015-12-02 20:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 20:01:09 UTC
sparks: needinfo? (itamar)
sparks: needinfo? (itamar)
sparks: needinfo? (itamar)


Attachments (Terms of Use)

Description Tomas Hoger 2010-09-10 09:52:49 UTC
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #521662:
CVE-2009-3721 CVE-2009-3887 ytnef, evolution: TNEF attachment decoder input sanitization errors (oCERT-2009-013)

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=521662

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs

Comment 1 Fedora End Of Life 2013-04-03 18:08:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Eric Christensen 2014-08-01 01:50:32 UTC
Fedora 20: 2.6-11
Fedora 21: 2.6-12

Comment 3 Eric Christensen 2014-08-01 01:51:05 UTC
Contacted upstream to determine what version fixes this issue.

Comment 4 randall.hand 2014-08-04 17:43:06 UTC
Fixed in newest github version: github.com/Yeraze/ytnef

Comment 5 Eric Christensen 2014-08-06 13:48:24 UTC
Can the latest version be updated in Fedora?

Comment 6 pjp 2014-12-03 18:21:40 UTC
Hello itamar,

Could you please fix this soon?

Comment 7 Fedora End Of Life 2015-01-09 16:20:39 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Tomas Hoger 2015-01-09 19:53:21 UTC
The package has not been updated sinc 2009, so this should still be relevant.

Comment 9 Eric Christensen 2015-04-02 18:49:22 UTC
Can this package be updated?  Upstream, I believe, has fixed this issue.

Comment 10 Eric Christensen 2015-04-23 12:59:56 UTC
Can an update be pushed for this package?

If I don't hear a response by Monday I'll start a non-responsive maintainer process for this package.

Comment 11 Itamar Reis Peixoto 2015-05-01 23:21:18 UTC
please request commit access in pkgdb

Comment 12 Eric Christensen 2015-05-07 13:17:35 UTC
(In reply to Itamar Reis Peixoto from comment #11)
> please request commit access in pkgdb

Are you saying you no longer wish to maintain this package?

Comment 13 Eric Christensen 2015-05-21 13:31:03 UTC
(In reply to Eric Christensen from comment #12)
> (In reply to Itamar Reis Peixoto from comment #11)
> > please request commit access in pkgdb
> 
> Are you saying you no longer wish to maintain this package?

Do you no longer wish to maintain this package?

Comment 14 Eric Christensen 2015-06-11 18:13:50 UTC
If you don't plan on maintaining this package any further would you please orphan the package so that others may have an opportunity to step up into the maintainer role?  https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Orphaning_Procedure

Comment 15 Fedora End Of Life 2015-11-04 11:29:08 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-12-02 02:33:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Jan Kurik 2015-12-02 20:01:20 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.